# eric6.Preferences.ConfigurationPages.QtPage

Module implementing the Qt configuration page.

### Global Attributes

None

### Classes

QtPage | Class implementing the Qt configuration page.

### Functions

create | Module function to create the configuration page.

## QtPage

Class implementing the Qt configuration page.

### Derived from

ConfigurationPageBase, Ui_QtPage

### Class Attributes

None

### Class Methods

None

### Methods

QtPage | Constructor
__updateQt4Sample | Private slot to update the Qt4 tools sample label.
on_qt4PostfixEdit_textChanged | Private slot to handle a change in the entered Qt directory.
on_qt4PrefixEdit_textChanged | Private slot to handle a change in the entered Qt directory.
on_qt4TransButton_clicked | Private slot to handle the Qt4 translations directory selection.
save | Public slot to save the Qt configuration.

### Static Methods

None

#### QtPage (Constructor)

QtPage()

Constructor

#### QtPage.__updateQt4Sample

__updateQt4Sample()

Private slot to update the Qt4 tools sample label.

#### QtPage.on_qt4PostfixEdit_textChanged

on_qt4PostfixEdit_textChanged(txt)

Private slot to handle a change in the entered Qt directory.

txt
  the entered string (string)

#### QtPage.on_qt4PrefixEdit_textChanged

on_qt4PrefixEdit_textChanged(txt)

Private slot to handle a change in the entered Qt directory.

txt
  the entered string (string)

#### QtPage.on_qt4TransButton_clicked

on_qt4TransButton_clicked()

Private slot to handle the Qt4 translations directory selection.

#### QtPage.save

save()

Public slot to save the Qt configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up